%define name speedtest
%define version 0.3.4
%define release %mkrel 1

Summary:	Speedtest - test your internet bandwidth
Summary(de): Speedtest - testet deine Internet-Bandbreite
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		https://raw.github.com/sivel/speedtest-cli
Group:		Networking/Other
License:	Apache/GPLv3+
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   python >= 2.7
Requires:   yad 
Requires:   python-requests
Obsoletes:	%name < %version

%description
Speedtest gui to test your internet bandwidth using speedtest.net

%description -l de
Speedtest GUI testet deine Internet-Bandbreite über speedtest.net

%prep

%setup -q

%build

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
        --add-category="X-MandrivaLinux-Internet-Other" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop
chmod a+x %buildroot%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING
%_bindir/%{name}
%_bindir/%{name}-cli
%_iconsdir/hicolor/*/apps/*.svg
%_datadir/applications/%{name}.desktop
%_datadir/locale/de/LC_MESSAGES/%{name}.mo


%changelog
* Sun Mar 06 2016 Ken <lxgator at gmail.com> 0.3.4-1pclos2016
- Create pkg

